[uwsgi]
socket = localhost:8080

master = true
vacuum = true
need-app = true
enable-threads = true
single-interpreter = true
die-on-term = true
disable-logging = true

processes = 4
auto-procname = true
procname-prefix-spaced = kadi

harakiri = 600
max-requests = 5000
max-worker-lifetime = 3600
reload-on-rss = 2048
evil-reload-on-rss = 8192
worker-reload-mercy = 60

umask = 027
uid = {{ uid }}
gid = {{ gid }}

callable = app
plugin = python3
virtualenv = {{ venv_path }}
wsgi-file = {{ kadi_root }}/wsgi.py
env = KADI_CONFIG_FILE={{ kadi_config }}
